﻿package 
{
	import flash.display.MovieClip;
	import flash.text.TextField;
	import flash.events.MouseEvent
	
	/**
	 * ...
	 * @author Jeroen Oliemans
	 */
	public class AccordionListItem extends MovieClip
	{
		private var _itemText:String
		
		public function AccordionListItem( itemText:String):void
		{
			_itemText = itemText;
			
			init();
		}
		
		private function init():void
		{
			addEventListeners();
			setText();
		}
		
		private function addEventListeners():void
		{
			this.buttonMode = true;
			this.useHandCursor = true;
			
			addEventListener( MouseEvent.CLICK, itemClickHandler );
		}
		
		private function itemClickHandler(e:MouseEvent):void 
		{
			trace( "Clicked: " + _itemText );
		}
		
		private function setText():void
		{
			this.item_txt.text = _itemText;
		}
	}
	
}